### Method

# WebKit2WebExtension DOMEvent init_event

#### Declaration [src]

    void
    webkit_dom_event_init_event (
      WebKitDOMEvent* self,
      const gchar* eventTypeArg,
      gboolean canBubbleArg,
      gboolean cancelableArg
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`eventTypeArg` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`canBubbleArg` | `gboolean`
| A #gboolean.
`cancelableArg` | `gboolean`
| A #gboolean.